/**
 * EntityNameSearchUse.java
 *
 * File generated from the medication::EntityNameSearchUse uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration EntityNameSearchUse.
 *
 * 
 */

@XmlType(name = "EntityNameSearchUse")
@XmlEnum
@XmlRootElement(name = "EntityNameSearchUse")
public enum EntityNameSearchUse {
	@XmlEnumValue("SRCH")
	SRCH("SRCH"),
	@XmlEnumValue("PHON")
	PHON("PHON"),
	@XmlEnumValue("SNDX")
	SNDX("SNDX");
	
	private final String value;

    EntityNameSearchUse(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static EntityNameSearchUse fromValue(String v) {
        for (EntityNameSearchUse c: EntityNameSearchUse.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}